Gentoo 的 Library Depedency

最近升級 expat (XML Parser) 從 1.95 到 2.0 之後, 就發生一些災難了, 像是常常會發生類似這樣的訊息.

/bin/uic: error while loading shared libraries: libexpat.so.0: cannot open shared object file: No such file or directory

而且影響的不是單一套件, 而是整個系統.
我個人發現, expat 這個 packet 大概是繼 glibc 以外, 最常被 reference 到的 library 之一.

這個時候, 就跑一次

# revdep-rebuild

就可以了.

On this day..

Comments

comments

Related Posts

Leave a Comment


NOTE - You can use these HTML tags and attributes:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>